# EnumText Class

Namespace: `ArchestrA.Toolkit`

EnumText is a utility class within CMxCustomEnumArray. It provides a method to access the value of an element of the array as a string by specifying its ordinal value.

**Syntax**

```csharp
public class EnumText
```

## EnumText Property

### Property to get and set the value of an element of the Enum Array

Provides a property to get and set the value of an element of the Enum Array as a string.

**Syntax**

```csharp
public string this[short i] { get; set; }
```

**Returns**

string

## EnumText Method

### EnumText Constructor

Provides a constructor that takes the owning CMxCustomEnumArray.

**Syntax**

```csharp
public EnumText(CMxCustomEnumArray _owner);
```

**Parameters**

**`_owner`**

[in] CMxCustomEnumArray value to be set.
